Bug 51926 - [Xamarin-Profiler]:Accessibility:MAS05A: Windows: Keyboard: keyboard focus is not visible for the data items under "Name" column for selected "Sample List" tab.
Summary: [Xamarin-Profiler]:Accessibility:MAS05A: Windows: Keyboard: keyboard focus is...
Status: CLOSED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Windows (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: 15.6
Assignee: Sergiy Velychko (Global Logic)
URL:
Depends on:
Blocks:
 
Reported: 2017-01-28 11:30 UTC by Dona Venkata Jaswanth Kumpatla
Modified: 2017-11-24 08:21 UTC (History)
7 users (show)

Tags: wipro, xamarin-profiler, a11ymas, mas05a, accessibility
Is this bug a regression?: ---
Last known good build:


Attachments
Please find the attached screenshot (187.24 KB, application/x-zip-compressed)
2017-01-28 11:30 UTC, Dona Venkata Jaswanth Kumpatla
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description Dona Venkata Jaswanth Kumpatla 2017-01-28 11:30:58 UTC
Created attachment 19608 [details]
Please find the attached screenshot

Testing Environment:

OS: 
      •	Windows 10.
      •	Version 1067.
      •	Build 14393.607.
Visual Studio and Xamarin:
      •	VS 2017 RC Enterprise.
      •	Xamarin For VS 4.3.0.550.
      •	Xamarin Profiler 1.0.4

Pre -Requisites: Build and Deploy Xamarin Application into Android Emulator

Repro:
1.Launch Xamarin profiler through Visual Studio.
2.From "Choose an Instrument Template" window navigate to the "General" tab and select any instruments tab from the existing "Available Instruments”.
3.Navigate to the "Instrument Detail Area" section and select the "Sample List" tab and observe the visual focus for the dataitem under "Name" column in the table.[screenshot]

Actual Result:
There is no visual focus for the dataitem for "Name" column under "Sample List" tab in "Instrument Detail Area" section below the "Instruments" list.

Expected Result: 
keyboard focus should be visible for the dataitem for "Name" column by selecting "Sample List" tab.

User Impact:
visual focus indicator should be visible around controls which helps the people with attention limitations, short-term memory limitations, to discover where the keyboard focus is located while navigating through the application.
Comment 1 Luis Aguilera 2017-06-22 12:54:06 UTC
moving to 15.4
Comment 2 xamarin-release-manager 2017-10-09 11:33:32 UTC
Fixed in version 1.6.1.84 (master)

Author: Sergiy Velychko
Commit: 59f7f17d84c446a45967db8b54d553857f8a6640 (xamarin/profiler)